/**
 * Copyright (C) 2012 - Florindo Smilari (spherIC)
 */
package ch.spherIC.recurvebowsight.model;


/**
 * @author  FC Smilari
 */
public interface IArcherySetup extends IEntity {

    ISight getSight();

    void setSight(ISight sight);

    IRiser getRiser();

    void setRiser(IRiser riser);

    Double getArrowDiameter();

    void setArrowDiameter(Double diameter);

    Double getArrowCw();

    void setArrowCw(Double cw);

    Double getArrowWeight();

    void setArrowWeight(Double weight);

    Double getArrowV0();

    void setArrowV0(Double v0);

    Double getArrowCenterHeight();

    void setArrowCenterHeight(Double arrowCenterHeight);

    Double getBowPullout();

    void setBowPullout(Double bowPullout);

    Double getArrowNockHeight();

    void setArrowNockHeight(Double bowPullout);

    Double getHNA();

    void setHNA(Double bowPullout);

    Double getDeltaTime();

    void setDeltaTime(Double bowPullout);

    Double getCalcPrecision();

    void setCalcPrecision(Double bowPullout);

    Double getSightVertSkalaMiddle();

    void setSightVertSkalaMiddle(Double middle);

    Double getSightHorzSetting();

    void setSightHorzSetting(Double middle);

    String getName();

    void setName(String name);

    Double getNockRaising();

    void setNockRaising(Double nockRaising);

    Double getBraceHeight();

    void setBraceHeight(Double braceHeight);
}
